cascading.flow.planner.rule

## Class RuleResult

- java.lang.Object
- - cascading.flow.planner.rule.RuleResult

    public class RuleResult
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `RuleResult.ResultStatus`

### Field Summary

Fields
`protected FlowElementGraph` `initialAssembly`
`static int` `THRESHOLD_SECONDS`

### Constructor Summary

Constructors
Constructor and Description
`RuleResult()`
`RuleResult(FlowElementGraph initialAssembly)`
`RuleResult(RuleRegistry registry)`
`RuleResult(RuleRegistry registry, FlowElementGraph initialAssembly)`

### Method Summary

Methods
`FlowElementGraph` `getAssemblyGraph()`
`java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>>` `getAssemblyToStepGraphMap()`
`long` `getDuration()`
`FlowElementGraph` `getInitialAssembly()`
`java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>>` `getLevelResults(ProcessLevel level)`
`java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>>` `getNodeToPipelineGraphMap()`
`int` `getNumNodes()`
`int` `getNumSteps()`
`int[]` `getPathFor(ElementGraph parent)`
`int[]` `getPathFor(ElementGraph parent, ElementGraph child)`
`java.lang.Exception` `getPlannerException()`
`RuleRegistry` `getRegistry()`
`RuleResult.ResultStatus` `getResultStatus()`
`java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>>` `getStepToNodeGraphMap()`
`boolean` `hasPlannerException()`
`void` `initResult(FlowElementGraph initialAssembly)`
`boolean` `isIllegal()`
`boolean` `isInterrupted()`
`boolean` `isSuccess()`
`boolean` `isUnsupported()`
`void` `setDuration(long begin, long end)`
`void` `setLevelResults(ProcessLevel level, ElementGraph parent, ElementGraph child)`
`void` `setLevelResults(ProcessLevel level, ElementGraph parent, java.util.List<? extends ElementGraph> elementGraphs)`
`void` `setLevelResults(ProcessLevel level, java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> results)`
`void` `setPhaseDuration(PlanPhase phase, long begin, long end)`
`void` `setPlannerException(java.lang.Exception plannerException)`
`void` `setRuleDuration(Rule rule, long begin, long end)`
`void` `writeStats(java.io.PrintWriter writer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### THRESHOLD_SECONDS

    public static final int THRESHOLD_SECONDS

See Also:
  Constant Field Values

#### initialAssembly

    protected FlowElementGraph initialAssembly

### Constructor Detail

#### RuleResult

    public RuleResult()

#### RuleResult

    public RuleResult(RuleRegistry registry)

#### RuleResult

    public RuleResult(FlowElementGraph initialAssembly)

#### RuleResult

    public RuleResult(RuleRegistry registry,
              FlowElementGraph initialAssembly)

### Method Detail

#### getRegistry

    public RuleRegistry getRegistry()

#### setPlannerException

    public void setPlannerException(java.lang.Exception plannerException)

#### getPlannerException

    public java.lang.Exception getPlannerException()

#### hasPlannerException

    public boolean hasPlannerException()

#### isSuccess

    public boolean isSuccess()

#### isIllegal

    public boolean isIllegal()

#### isUnsupported

    public boolean isUnsupported()

#### isInterrupted

    public boolean isInterrupted()

#### getResultStatus

    public RuleResult.ResultStatus getResultStatus()

#### initResult

    public void initResult(FlowElementGraph initialAssembly)

#### setLevelResults

    public void setLevelResults(ProcessLevel level,
                       java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> results)

#### setLevelResults

    public void setLevelResults(ProcessLevel level,
                       ElementGraph parent,
                       ElementGraph child)

#### setLevelResults

    public void setLevelResults(ProcessLevel level,
                       ElementGraph parent,
                       java.util.List<? extends ElementGraph> elementGraphs)

#### getLevelResults

    public java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> getLevelResults(ProcessLevel level)

#### getPathFor

    public int[] getPathFor(ElementGraph parent,
                   ElementGraph child)

#### getPathFor

    public int[] getPathFor(ElementGraph parent)

#### getInitialAssembly

    public FlowElementGraph getInitialAssembly()

#### getAssemblyGraph

    public FlowElementGraph getAssemblyGraph()

#### getAssemblyToStepGraphMap

    public java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> getAssemblyToStepGraphMap()

#### getStepToNodeGraphMap

    public java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> getStepToNodeGraphMap()

#### getNodeToPipelineGraphMap

    public java.util.Map<ElementGraph,java.util.List<? extends ElementGraph>> getNodeToPipelineGraphMap()

#### getNumSteps

    public int getNumSteps()

#### getNumNodes

    public int getNumNodes()

#### setDuration

    public void setDuration(long begin,
                   long end)

#### getDuration

    public long getDuration()

#### setPhaseDuration

    public void setPhaseDuration(PlanPhase phase,
                        long begin,
                        long end)

#### setRuleDuration

    public void setRuleDuration(Rule rule,
                       long begin,
                       long end)

#### writeStats

    public void writeStats(java.io.PrintWriter writer)